#include "common.h"

int debug_level = 0;

void debug_msg( char *title, int level ) {
   char msg[ 80 ] = "";
   struct timeval tv;
   void put_timeval( struct timeval *tv, char *res ) {
      sprintf( res, "%02lu:%02lu:%03lu",
               ( tv->tv_sec / 60 % 60 ), ( tv->tv_sec % 60 ), tv->tv_usec / 1000 );
   }
   if( debug_level < level ) return;
   gettimeofday( &tv, NULL );
   put_timeval( &tv, msg );
   sprintf( msg + strlen( msg ), " : pid=%lu\t: %s", (long)getpid(), title );
   printf( "%s\n", msg );
}

